#! /bin/sh
### BEGIN INIT INFO
# Provides:          swift-container
# Required-Start:    $remote_fs $network
# Required-Stop:     $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Swift container server
# Description:       Container server for Swift.
### END INIT INFO

DESC="OpenStack Swift container server (swift-container)"
PROJECT_NAME=swift
NAME="${PROJECT_NAME}-container-server"
CONFIG_FILE=/etc/${PROJECT_NAME}/container-server.conf
UWSGI_PORT=6001
UWSGI_INI_PATH=/etc/swift/swift-container-server-uwsgi.ini
UWSGI_INI_APP=/usr/bin/swift-container-server-uwsgi
UWSGI_BIND_CONFIG_FILE=/etc/${PROJECT_NAME}/container-server.conf
UWSGI_BIND_CONFIG_SECTION=DEFAULT
UWSGI_BIND_CONFIG_IP_DIRECTIVE=bind_ip
UWSGI_BIND_CONFIG_PORT_DIRECTIVE=bind_port
UWSGI_BIND_CONFIG_WORKERS_DIRECTIVE=workers
CUSTOM_SYSTEMD_UNIT="ConditionFileNotEmpty=/etc/swift/container-server.conf
AssertFileNotEmpty=/etc/swift/container.ring.gz"
